Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## tle.framework
Class RequestReceiver

    java.lang.Object
      HttpServlet
          tle.framework.RequestReceiver

public class RequestReceiver
extends HttpServlet

클라이언트의 요청을 TLEFramework에 전달해주는 서블릿.

클라이언트의 요청을 받은 RequestReceiver는 TLEFramework.processingRequest() 메소드에서 요청을 전달한다. 어떤 요청을 전달할지의 여부는 web.xml 파일의 설정을 통해서 결정된다. 예를 들어, *.do에 해당하는 요청을 틀 프레임워크가 처리하길 원한다면 다음과 같은 설정정보를 web.xml 파일에 추가해주면 된다.

       <servlet>
           <servlet-name>TLERequestReceiver</servlet-name>
           <servlet-class>tle.framework.RequestReceiver</servlet-class>
       </servlet>

       <servlet-mapping>
           <servlet-name>TLERequestReceiver</servlet-name>
           <url-pattern>*.do</url-pattern>
       </servlet-mapping>

Since:
  2.0
Author:
  최범균
See Also:
  Serialized Form

Constructor Summary
`RequestReceiver()`

Method Summary
`protected void` | `doGet(HttpServletRequest request, HttpServletResponse response)` processing() 메소드 호출
`protected void` | `doPost(HttpServletRequest request, HttpServletResponse response)` processing() 메소드 호출

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RequestReceiver

    public RequestReceiver()

Method Detail

### doGet

    protected void doGet(HttpServletRequest request,
                         HttpServletResponse response)
                  throws ServletException,
                         java.io.IOException

  processing() 메소드 호출

  Throws:
    `ServletException`
    `java.io.IOException`
  See Also:
    `javax.servlet.http.HttpServlet#doGet(javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse)`

### doPost

    protected void doPost(HttpServletRequest request,
                          HttpServletResponse response)
                   throws ServletException,
                          java.io.IOException

  processing() 메소드 호출

  Throws:
    `ServletException`
    `java.io.IOException`
  See Also:
    `javax.servlet.http.HttpServlet#doPost(javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD